
%define oname   FeatherPad
%define url     https://github.com/tsujan/FeatherPad

Summary: 	A lightweight Qt5 plain-text editor
Name: 		featherpad
Version: 	1.4.1
Release:	%mkrel 1
License: 	GPL
Group: 		Editors
Source: 	%{oname}-%{version}.tar.xz
Url:        %{url}
#------------------------------------------
BuildRequires: lib64hunspell-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64x11-devel
#------------------------------------------

%description
FeatherPad is a lightweight Qt5 plain-text editor for Linux. 
It is independent of any desktop environment and has:


  * Drag-and-drop support, including tab detachment and attachment;
  * X11 virtual desktop awareness (using tabs on current desktop but opening a new window on another);
  * An optionally permanent search-bar with a different search entry for each tab;
  * Instant highlighting of found matches when searching;
  * A docked window for text replacement;
  * Support for showing line numbers and jumping to a specific line;
  * Automatic detection of text encoding as far as possible and optional saving with encoding;
  * Syntax highlighting for common programming languages;
  * Ability to open URLs with appropriate applications;
  * Session management;
  * Side-pane mode;
  * Auto-saving;
  * Printing;
  * Text zooming;
  * Appropriate but non-interrupting prompts;
  * Haiku OS support (by [khallebal at GitHub](https://github.com/khallebal));
  * macOS support (by [Pavel Shlyak](https://github.com/shlyakpavel)); and
  * Other features that can be found in its settings, on its menus or when it is actually used.
  
%prep
%setup -q -n %{oname}-%{version}

%build
mkdir build
pushd build
cmake -DCMAKE_BUILD_TYPE=release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DSG_USE_SYSTEM_QXT=ON \
	  -DBUILD_SHARED_LIBS:BOOL=OFF ..
make
popd
%install
rm -rf %buildroot
pushd build
make DESTDIR=%{buildroot} install
popd


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}

%changelog
* Thu Jun 15 2023 daniel - 1.4.1-1pclos2023
- new version

* Tue Apr 18 2023 daniel - 1.4.0-1pclos2023
- new version

* Mon Jan 09 2023 daniel - 1.3.5-1pclos2023
- update

* Tue Nov 29 2022 daniel - 1.3.4-1pclos2022
- update

* Sun Oct 09 2022 daniel - 1.3.3-1pclos2022
- update

* Wed Sep 21 2022 daniel - 1.3.2-1pclos2022
- update

* Mon Sep 19 2022 tex - 1.3.1-2pclos2022
- rebuild against updates

* Sun Aug 07 2022 daniel - 1.3.1-1pclos2022
- update

* Thu Jun 16 2022 daniel - 1.3.0-1pclos2022
- update

* Sun Apr 24 2022 daniel - 1.2.0-1pclos2022
- new version

* Sat Jan 08 2022 daniel - 1.1.1-1pclos2022
- update

* Fri Dec 24 2021 tex - 1.1.0-1pclos2022
- new version

* Mon Oct 18 2021 tex - 1.0.1-1pclos2021
- new version

* Wed Sep 02 2021 daniel <> 1.0.0-1pclos2021
- update

* Fri Mar 05 2021 daniel <> 0.18.0-1pclos2021
- update

